Name:           pyOpenSSL
Version:        24.0.0
Release:        1
Summary:        A rather thin wrapper around (a subset of) the OpenSSL library.

License:        ASL 2.0
URL:            https://www.pyopenssl.org/en/stable/
Source0:        https://github.com/pyca/pyopenssl/archive/%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel python3-cryptography
BuildRequires:  python3-setuptools python3-sphinx python3-sphinx_rtd_theme

%description
pyOpenSSL is a rather thin wrapper around (a subset of) the OpenSSL library.
With thin wrapper we mean that a lot of the object methods do nothing more
than calling a corresponding function in the OpenSSL library.

%package -n     python3-%{name}
Summary:        A rather thin wrapper around (a subset of) the OpenSSL library.
Requires:       python3-six >= 1.5.2 python3-cryptography
%{?python_provide:%python_provide python3-pyOpenSSL}

%description -n python3-%{name}
pyOpenSSL is a rather thin wrapper around (a subset of) the OpenSSL library.
With thin wrapper we mean that a lot of the object methods do nothing more
than calling a corresponding function in the OpenSSL library.

%package        help
Summary:        Documents for %{name}
Buildarch:      noarch
Requires:       man info
Provides:       %{name}-doc
Obsoletes:      %{name}-doc < %{version}-%{release}

%description    help
Man pages and other related documents for %{name}.

%prep
%autosetup -n pyopenssl-%{version} -p1

%build
%py3_build

make -C doc html SPHINXBUILD=sphinx-build-3

%install
%py3_install


%files -n python3-%{name}
%license LICENSE
%{python3_sitelib}/OpenSSL/
%{python3_sitelib}/pyOpenSSL-*.egg-info

%files help
%license LICENSE
%doc CHANGELOG.rst doc/_build/html

%changelog
* Wed Jan 24 2024 zhengxiaoxiao<zhengxiaoxiao2@huawei.com> - 24.0.0-1
- Upgrade version to 24.0.0
  - Dropped support for Python 3.6.
  - The minimum cryptography version is now 41.0.5.
  - Removed OpenSSL.crypto.loads_pkcs7 and OpenSSL.crypto.loads_pkcs12 which had been deprecated for 3 years.
  - Added OpenSSL.SSL.OP_LEGACY_SERVER_CONNECT to allow legacy insecure renegotiation between OpenSSL and unpatched servers.
  - Deprecated OpenSSL.crypto.PKCS12,OpenSSL.crypto.NetscapeSPKI,OpenSSL.crypto.CRL,OpenSSL.crypto.Revoked,OpenSSL.crypto.load_crl,OpenSSL.crypto.dump_crl,OpenSSL.crypto.sign,OpenSSL.crypto.verify,OpenSSL.crypto.X509Extension
  - Changed OpenSSL.crypto.X509Store.add_crl to also accept cryptography's x509.CertificateRevocationList arguments in addition to the now deprecated OpenSSL.crypto.CRL arguments
  - Fixed test_set_default_verify_paths test so that it is skipped if no network connection is available
  - Add ``OpenSSL.SSL.Connection.get_selected_srtp_profile`` to determine which SRTP profile was negotiated

* Tue Jul 18 2023 zhengxiaoxiao<zhengxiaoxiao2@huawei.com> - 23.2.0-1
- Upgrade version to 23.2.0

* Fri May 26 2023 Dongxing Wang<dxwangk@isoftstone.com> - 23.1.1-1
- Upgrade version to 23.1.1

* Thu Feb 9 2023 zhengxiaoxiao<zhengxiaoxiao2@huawei.com> - 23.0.0-1
- Upgrade version to 23.0.0

* Mon Nov 14 2022 zhengxiaoxiao<zhengxiaoxiao2@huawei.com> - 22.0.0-1
- Upgrade version to 22.0.0

* Mon Oct 24 2022 zhengxiaoxiao<zhengxiaoxiao2@huawei.com> - 21.0.0-2
- fix obsoletes in spec

* Sat Dec 25 2021 tianwei <tianwei12@huawei.com> - 21.0.0-1
- Upgrade version to 21.0.0

* Tue Feb 02 2021 wuchaochao <wuchaochao4@huawei.com> - 20.0.1-1
- Update package version

* Fri Oct 30 2020 wangjie<wangjie294@huawei.com> -19.1.0-3
- Type:NA
- ID:NA
- SUG:NA
- DESC:remove python2

* Mon Sep 14 2020 shixuantong <shixuantong@huawei.com> - 19.1.0-2
- Type:NA
- ID:NA
- SUG:NA
- DESC:update source0

* Sun May 12 2019 openEuler Buildteam <buildteam@openeuler.org> - 19.1.0-1
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:Update pyOpenSSL to 19.1.0

* Sat Aug 31 2019 openEuler Buildteam <buildteam@openeuler.org> - 19.0.0-1
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:Update to 19.0.0

* Sun Apr 28 2019 luochunsheng<luochunsheng@huawei.com> - 18.0.0-3.h3
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:fix tests

* Sat Apr 13 2019 luochunsheng<luochunsheng@huawei.com> - 18.0.0-3.h2
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:pyOpenSSL package quality enhance

* Wed Mar 13 2019 wanghongzhe<wanghongzhe@huawei.com> - 18.0.0-3.h1
- Type:enhancement
- ID:NA
- SUG:restart
- DESC:solve the mirror-yum installation dependency

* Mon Aug 13 2018 openEuler Buildteam <buildteam@openeuler.org> - 18.0.0-3
- Package Init
